<?php
/**
 * Debit API/light Demo
 * version 1.0
 * 
 * author: Thorsten Kugler 
 * email: tkugler@micropayment.de
 * supported 2009 by micropayment
 */

	require_once( 'config.php' );
	require_once( 'tools.php' );
	require_once( './lib/init.php' );
	require_once( './lib/services/' . MCC__CREDITCARDSERVICE_INTERFACE . '.php' );
	require_once( MCP__SERVICELIB_DISPATCHER . 'TNvpServiceDispatcher.php');   
	
	session_name('creditcardlight');
	session_start();

	if(getPostVar('creditcardSubmit2') != "") {

		//get amount, test product defined in config.php
		$productsAmount = $aProductList['P0001']['amount'];
		
		try {
			$dispatcher = new TNvpServiceDispatcher(MCC__CREDITCARDSERVICE_INTERFACE, MCC__CREDITCARDSERVICE_NVP_URL);
		
			$sessionData = $dispatcher -> sessionCreate(MCC__ACCESSKEY, MCC__TESTMODE, $_SESSION['customerId'], null, PROJECT_NAME, null, null, null, $productsAmount, PROJECT_CURRENCY, PROJECT_TITLE, PROJECT_TITLE, getenv("REMOTE_ADDR"), null, SEND_MAIL);
			$authorizationData = $dispatcher -> transactionAuthorization(MCC__ACCESSKEY, MCC__TESTMODE, $sessionData['sessionId'], getPostVar('cvc'));
			$captureData = $dispatcher -> transactionCapture(MCC__ACCESSKEY, MCC__TESTMODE, $sessionData['sessionId'], $authorizationData['transactionId'], $productsAmount);
		}
		catch (Exception $e) {
			//print form error
			$errorMsg = $e->getMessage();
			$errorClass= "statusError";
		}
	}

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>CreditCard API/light Demo</title>
	<link href="screen.css" rel="stylesheet">
</head>

<body>

	<div id="header" >
		<table width="608" align="center" class="header">
			<tr >
				<td width="100"><img src="./img/logo.creditcard.gif"></td>
				<td align="left">CreditCard API/light Demo</td>
			</tr>
		</table>
	</div>
	
	<div align="center">
	
		<table>
			<tr>
				<td class="border">
					
					<div id="content">
						<br />
							<?php 
								if (getPostVar('creditcardSubmit2') == "") {
									
									print '<form action="'.$_SERVER["PHP_SELF"].'" method="POST">
							
										<table>
											<tr>
												<td></td>
												<td><em>Bitte geben Sie zur Buchung noch den Sicherheitscode Ihrer Kreditkarte an</em></td>
											</tr>
											<tr>
												<td>CVC-Code: *</td>
												<td><input type="text" name="cvc" id="cvc" value=""></td>
											</tr>
										</table>
										<br /><br />
										* <em>Pflichtfeld</em>
										<br /><br />
										<input type="submit" id="creditcardSubmit2" name="creditcardSubmit2" value="Weiter">
									</form>';
									
								} 
							
							
							?>
					
							<?php 
								if (getPostVar('creditcardSubmit2') != "") {
									if (!isset($errorMsg) && ($captureData['transactionStatus'] == 'SUCCESS')) {
										print "<b>KREDITKARTEN-Einkauf erfolgreich (capture())!</b>";
										print "<br /><br />";
										print "Session-Id: ". $sessionData['sessionId']."<br />";
										print "Session-Status: ". $sessionData['status'];
										print "<br /><br />";
										print "Capture-Status: ". $captureData['transactionStatus']."<br />";
										print "Timestamp: ". $captureData['transactionCreated'];	
										print "<br /><br /><br />
												<b>Der Bezahlprozess wurde erfolgreich beendet - werden Sie aktiv.</b>
												<br /><br />
												Hier haben Sie verschiedene M&ouml;glichkeiten:<br /><br />
												<ul>
													<li> Umleitung auf ein Download-Portal</li>
													<br />
													<li>direkten Datei-Download anbieten</li>
														<ul>
															<li>Download Musik im MP3-Format</li>
															<li>Download Manuals, Literatur im PDF-Format</li>
															<li>Download von Bildern/Images</li>
															<li>Download von komprimierten Dateien und Archiven (z.B. zip)</li>
															<li>...</li>
														</ul>
													<br />
													<li>Freischaltung von Mitgliederbereichen (Online-Games, Info-Datenbanken, usw.)</li>
													<br />
													<li>Konto-Aufladung fr diverse Dienste (z.B. SMS, Ringtones)</li>
				
													<br />
													</ul>
													<br />
													Sowie eine Vielzahl weiterer Mglichkeiten.
												";						
									}
									//Error
									else {
										print "<b>KREDITKARTEN-Einkauf nicht erfolgreich (capture())!</b>";
										print "<br /><br />";
										print "Session-Id: ". $sessionData['sessionId']."<br />";
										print "Session-Status: ". $sessionData['status'];
										print "<br /><br />";
										print "Capture-Status: ". $captureData['transactionStatus']."<br />";
										print "Timestamp: ". $captureData['transactionCreated'];	
									}
								}					
							?>

						<br /><br />
						<div id="<?php if (isset($errorClass)) print $errorClass;?>">
							
							<?php 
								if (isset($errorMsg)) {
									print $errorMsg;
								}
							?>
								
						</div>
											
					
						<br />
						<br />
						<br />
						<br />
						<br />
						<a href="index.php">DEMO erneut ausf&uuml;hren</a>
						
					</div>

				</td>
			</tr>
		</table>
		
	</div>
	
	<div id="footer" class="footer">
		<a href="http://techdoc.micropayment.de/" target="_blank">Technische Dokumentationen</a> | <a href="./readme.txt" target="_blank">Installationsanleitung</a> | <a href="https://www.micropayment.de/" target="_blank">micropayment&trade;</a><br />
		CreditCard API light Demo, version 1.0<br />
		powered 2009 by micropayment&trade;<br />
	</div>

	
	<?php 
		//delete actual session
		if(getPostVar('creditcardSubmit2') != "") {
			session_destroy(); 
			session_unset();
		}
	?>
</body>