<?php
/**
 * CreditCard API/light Demo 
 * version 1.0
 * 
 * author: Thorsten Kugler 
 * email: tkugler@micropayment.de
 * supported 2009 by micropayment
 */

	require_once( 'config.php' );
	require_once( 'tools.php' );
	require_once( './lib/init.php' );
	require_once( './lib/services/' . MCC__CREDITCARDSERVICE_INTERFACE . '.php' );
	require_once( MCP__SERVICELIB_DISPATCHER . 'TNvpServiceDispatcher.php');   
	
	if(getPostVar('creditcardSubmit')) {

		session_name('creditcardlight');
		session_start();

		//save temp form data in session in case of error
		foreach ($_POST as $post => $val) {
			$_SESSION[$post] = $val;
		}
		
		try {
			$dispatcher = new TNvpServiceDispatcher(MCC__CREDITCARDSERVICE_INTERFACE, MCC__CREDITCARDSERVICE_NVP_URL);
			
			$customerId = $dispatcher -> customerCreate(MCC__ACCESSKEY, MCC__TESTMODE, null, null, getPostVar('firstname'), getPostVar('surname'), getPostVar('email'), getPostVar('culture2'));
			$_SESSION['customerId'] = $customerId;
			$addressData = $dispatcher -> addressSet(MCC__ACCESSKEY, MCC__TESTMODE, $customerId, getPostVar('address'), getPostVar('zipcode'), getPostVar('town'), getPostVar('country2'));
			$creditcardData = $dispatcher -> creditcardDataSet(MCC__ACCESSKEY, MCC__TESTMODE, $customerId, getPostVar('number'), getPostVar('expiryYear'), getPostVar('expiryMonth'));

			switch (getPostVar('method')) {
				case 'purchase':
					//data saved, goto purchase
					header("Location: purchase.php");
					break;
				case 'capture':
					//data saved, goto capture
					header("Location: capture.php");
					break;
			}
			exit(0);
		}
		catch (Exception $e) {
			//print form error
			$errorMsg = $e->getMessage();
			$errorClass= "statusError";
		}
	}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>CreditCard API/light Demo</title>
	<link href="screen.css" rel="stylesheet">
</head>

<body>

	<div id="header" >
		<table width="608" align="center" class="header">
			<tr >
				<td width="100"><img src="./img/logo.creditcard.gif"></td>
				<td align="left">CreditCard API/light Demo</td>
			</tr>
		</table>
	</div>
	
	<div align="center">
	
		<table>
			<tr>
				<td class="border">
					
					<div id="content">
						<br />
						<form action="<?php print $_SERVER['PHP_SELF']?>" method="POST">
							
							<table>
								<tr>
									<td><b>Personen-Daten:</b></td>
									<td></td>
								</tr>
								<tr>
									<td>Vorname: *</td>
									<td><input type="text" name="firstname" id="firstname" value="<?php print $_SESSION['firstname']?>"></td>
								</tr>
								<tr>
									<td>Nachname: *</td>
									<td><input type="text" name="surname" id="surname" value="<?php print $_SESSION['surname']?>"></td>
								</tr>
								<tr>
									<td>E-Mail-Adresse: *</td>
									<td><input type="text" name="email" id="email" value="<?php print $_SESSION['email']?>"></td>
								</tr>
								<input type="hidden" name="culture2" id="culture2" value="de">


								<tr>
									<td></td>
									<td></td>
								</tr>
								<tr>
									<td></td>
									<td></td>
								</tr>
								<tr>
									<td><b>Kontakt-Daten:</b></td>
									<td></td>
								</tr>
								<tr>
									<td>Adresse: *</td>
									<td><input type="text" name="address" id="address"  value="<?php print $_SESSION['address']?>"> </td>
								</tr>
								<tr>
									<td>Postleitzahl: *</td>
									<td><input type="text" name="zipcode" id="zipcode" value="<?php print $_SESSION['zipcode']?>"></td>
								</tr>
								<tr>
									<td>Ort: *</td>
									<td><input type="text" name="town" id="town" value="<?php print $_SESSION['town']?>"></td>
								</tr>
								<tr>
									<td>Land: *</td>
									<td>
										<select name="country2" id="country2">
											<option value="DE">Deutschland</option>
											<option value="CH">Schweiz</option>
											<option value="AT">&Ouml;sterreich</option>
										</select>
									</td>
								</tr>

								<tr>
									<td></td>
									<td></td>
								</tr>
								<tr>
									<td></td>
									<td></td>
								</tr>
								<tr>
									<td><b>Kreditkarten-Daten:</b></td>
									<td></td>
								</tr>
								<tr>
									<td>Kartennummer: *</td>
									<td><input type="text" name="number" id="number" value=""></td>
								</tr>
								<tr>
									<td>G&uuml;ltig bis: *</td>
									<td>
										<select name="expiryMonth" id="expiryMonth" >
											<?php 
												//create month combo
    											$sComboMonths = "";
    											for ($i = 1;$i <= 12; $i++) {
    												$sComboMonths .= "<option>".sprintf("%02d",$i)."</option>";
    											}
    											print $sComboMonths;
											?>
										</select>
										
										<select name="expiryYear" id="expiryYear" >
											<?php 
										  		//create year combo (two years past, actuall year, four years future)
    											$sComboYears = "";
    											$tmp_time = time()-63072000;
    											while ($tmp_time <= (time()+126144000)) {
	    											$sComboYears .= "<option>".date("Y",$tmp_time)."</option>";
    												$tmp_time += 31536000;
    											}
    											print $sComboYears;
    										?>
    									</select>
    									
									</td>
								</tr>
								
								<tr>
									<td></td>
									<td></td>
								</tr>
								<tr>
									<td></td>
									<td></td>
								</tr>
								<tr>
									<td><b>Buchungs-Methode:</b></td>
									<td></td>
								</tr>
								<tr>
									<td><input type="radio" name="method" id="method" value="purchase" checked> Purchase (<em>sofortige Buchung</em>)</td>
									<td><input type="radio" name="method" id="method" value="capture"> Capture (<em>Vorautorisierung und anschlieende Buchung</em>)</td>
								</tr>
							</table>
							<br /><br />
							* <em>Pflichtfeld</em>
							
							<br />
							<br />
							<input type="submit" id="creditcardSubmit" name="creditcardSubmit" value="Weiter">
							<br /><br />
							
							<div id="<?php if (isset($errorClass)) print $errorClass;?>">
							
								<?php 
									if (isset($errorMsg)) {
										print $errorMsg;
									}
								?>
								
							</div>
							
						</form>
						
					</div>
					
				</td>
			</tr>
		</table>
		
	</div>
	
	<div id="footer" class="footer">
		<a href="http://techdoc.micropayment.de/" target="_blank">Technische Dokumentationen</a> | <a href="./readme.txt" target="_blank">Installationsanleitung</a> | <a href="https://www.micropayment.de/" target="_blank">micropayment&trade;</a><br />
		CreditCard API light Demo, version 1.0<br />
		powered 2009 by micropayment&trade;<br />
	</div>

</body>
<?php print_r($_SESSION);?>
